#1
  1. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Dec 2005
    Posts
    114
    Rep Power
    10

    RUBY on RAIL installation problem


    Can anybody help me with installation of Ruby with Rail?
    Here is the error when I try to install rail

    C:\>gem install rails --include-dependencies

    C:\>"c:\ruby\bin\ruby.exe" "c:\ruby\bin\gem" install rails --include-dependenc
    s
    ERROR: While executing gem ... (OptionParser::InvalidOption)
    invalid option: --include-dependencies

    C:\>gem install rails --include-dependencies

    C:\>"c:\ruby\bin\ruby.exe" "c:\ruby\bin\gem" install rails --include-dependenc
    s
    ERROR: While executing gem ... (OptionParser::InvalidOption)
    invalid option: --include-dependencies
  2. #2
  3. fork while true;
    Devshed God 1st Plane (5500 - 5999 posts)

    Join Date
    May 2005
    Location
    England, UK
    Posts
    5,538
    Rep Power
    1051
    use the `-y` switch instead, it's much shorter too...

    C:\> cd ruby\bin
    C:\> ruby gem.rb install rails -y
  4. #3
  5. Banned ;)
    Devshed Supreme Being (6500+ posts)

    Join Date
    Nov 2001
    Location
    Woodland Hills, Los Angeles County, California, USA
    Posts
    9,645
    Rep Power
    4248
    [edit]
    Scratch that.

    C:\>gem install rails
    installed the dependencies for me
    [/edit]
    Last edited by Scorpions4ever; January 19th, 2006 at 02:06 PM.
    Up the Irons
    What Would Jimi Do? Smash amps. Burn guitar. Take the groupies home.
    "Death Before Dishonour, my Friends!!" - Bruce D ickinson, Iron Maiden Aug 20, 2005 @ OzzFest
    Down with Sharon Osbourne

    "I wouldn't hire a butcher to fix my car. I also wouldn't hire a marketing firm to build my website." - Nilpo
  6. #4
  7. fork while true;
    Devshed God 1st Plane (5500 - 5999 posts)

    Join Date
    May 2005
    Location
    England, UK
    Posts
    5,538
    Rep Power
    1051
    you could always run `ruby gem --help` to see the switches. They may have done away with that switch, it always seemed stupid that they didn't include dependencies by default, although my gem version was downloaded under 3 weeks ago.

IMN logo majestic logo threadwatch logo seochat tools logo